using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using GreenTree.Maschinenbestellungen.Core.Domain.Rights;
using System;
using System.Collections.Generic;
using System.Text;

namespace GreenTree.Maschinenbestellungen.Domain.Model.Rights
{
    public class PolicyMapping : IEntityTypeConfiguration<Policy>
    {
        public void Configure(EntityTypeBuilder<Policy> builder)
        {
            builder.ToTable("Policies");

            builder.HasKey(u => u.Name);
        }
    }
}
